- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moLSCheckPoint< M > Class Template Reference

Class which allows a checkpointing system. More...

`#include <moLSCheckPoint.h>`

List of all members.

## Public Member Functions
void | operator() (const M &__move, const typename M::EOType &__sol)
| Function which launches the checkpointing.
void | add (eoBF< const M &, const typename M::EOType &, void > &__f)
| Procedure which add a new function to the function vector.
## Private Attributes
std::vector< eoBF< const M &, const typename M::EOType &, void > * > | func
| vector of function

## Detailed Description

### template<class M>
class moLSCheckPoint< M >

Class which allows a checkpointing system.

Thanks to this class, at each iteration, additionnal function can be used (and not only one).

Definition at line 21 of file moLSCheckPoint.h.

## Member Function Documentation

template<class M>

void moLSCheckPoint< M >::operator() | ( | const M & | __move,
|  | const typename M::EOType & | __sol |
| ) |  |  | `[inline]`

Function which launches the checkpointing.

Each saved function is used on the current move and the current solution.

Parameters:

  | __move | a move.
  | __sol | a solution.

Definition at line 34 of file moLSCheckPoint.h.

References moLSCheckPoint< M >::func.

template<class M>

void moLSCheckPoint< M >::add | ( | eoBF< const M &, const typename M::EOType &, void > & | __f | ) | `[inline]`

Procedure which add a new function to the function vector.

The new function is added at the end of the vector.

Parameters:

  | __f | a new function to add.

Definition at line 49 of file moLSCheckPoint.h.

References moLSCheckPoint< M >::func.

The documentation for this class was generated from the following file:

- moLSCheckPoint.h